@import url("profile.css");
@import url("firstView.css");
@import url("works.css");
@import url("skills.css");
@import url("contact.css");
@import url("slick.css");
@import url("slick-theme.css");
html,
html {
  scroll-behavior: smooth;
}
body {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
}

.custom-header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  color: white;
  z-index: 1000;
}

.header-bg-color {
  background-color: rgba(19, 45, 58, 0.8);
}

.header-selection a {
  font-size: 1.5rem;
}

.navbar {
  padding: 0 2rem;
}

.parallax-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  z-index: 1;
}

.parallax-overlay-white {
  position: absolute;
  inset: 0;
  background: rgba(255, 255, 255, 0.1);
  z-index: 1;
}

.section-title {
  font-size: 4rem;
  font-weight: bold;
  margin: 0;
  padding: 6rem 0 0 0;
}

.parallax-section {
  position: relative;
  flex-grow: 1;
  min-height: 100vh;
  width: 100%;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.text-overlay {
  position: absolute;
  inset: 0;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
}

.content-section {
  padding: 1rem 2rem;
}

.white-bg {
  background-color: white;
}

.text-center {
  text-align: center;
}

/* ロード画面全体 */
#loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 9999;
  transition: opacity 0.6s ease, visibility 0.6s ease;
}

#loading.hidden {
  opacity: 0;
  visibility: hidden;
}

.loading-text {
  color: #fff;
  text-align: center;
}

.dots {
  display: flex;
  justify-content: center;
  gap: 8px;
  margin-bottom: 1rem;
}

.dot {
  width: 12px;
  height: 12px;
  background-color: #fff;
  border-radius: 50%;
  animation: bounce 0.8s infinite ease-in-out;
}
.dot:nth-child(2) {
  animation-delay: 0.2s;
}
.dot:nth-child(3) {
  animation-delay: 0.4s;
}

@keyframes bounce {
  0%,
  80%,
  100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-15px);
  }
}

.content {
  padding: 2rem;
  color: white;
  background: black;
  text-align: center;
}

@media screen and (max-width: 600px) {
  .parallax-section {
    overflow: hidden;
  }
}
